Kwetsbaarheden verholpen in Citrix Application Delivery Manager (ADM)

Deze pagina gebruikt slimmigheden om officiële advisory platte tekst naar HTML om te zetten. Daarbij kan die informatie worden verminkt. De "Signed-PGP" versies waarnaar verwezen wordt zijn normatief (maar deze zijn minder leesbaar).
Publicatie Kans Schade    
  Versie 1.00 16-06-2022 NCSC-2022-0417  
 
medium
high
Signed-PGP →  
16-06-2022
medium
high
NCSC-2022-0417 [1.00] Signed-PGP →
Kenmerken

Kenmerken

  • Denial-of-Service (DoS)
  • (Remote) code execution (Administrator/Root rechten)
  • Verhoogde gebruikersrechten
Omschrijving

Omschrijving

Citrix heeft twee kwetsbaarheden verholpen in Application Delivery Manager (ADM). Een kwaadwillende met toegang tot de beheeromgeving kan de kwetsbaarheden misbruiken voor het veroorzaken van een Denial-of-Service door het uitschakelen van de Licentie-service, of om toegang te krijgen tot een root-shell, door een reset te forceren op het kwetsbare systeem en zo het standaardwachtwoord weer te activeren.

Application Delivery Manager is een deels cloud en deels on premise systeem dat wordt gebruikt om applicaties te beheren en uit te rollen in gemengde cloud-fysieke omgevingen. Citrix geeft aan de kwetsbaarheden in ADM Service, de clouddienst, reeds verholpen te hebben, maar dat de gebruikers van ADM Server en de ADM Agents on premise de beveiligingsupdate moeten inzetten.

Misbruik van de kwetsbaarheden is alleen mogelijk wanneer de kwaadwillende toegang heeft tot de beheeromgeving. Het is goed gebruik een dergelijke omgeving niet toegankelijk te hebben vanaf publieke infrastructuur of het interne gebruikersnetwerk.

Bereik

Bereik

Platforms Producten Versies

Citrix Application Delivery Manager (ADM)

Oplossingen

Oplossingen

Citrix heeft updates uitgebracht om de kwetsbaarheden te verhelpen in Applicagtion Delivery manager (ADM) 13.0 en 13.1. Voor meer informatie, zie [Link]

Citrix geeft aan dat de kwetsbaarheid ook aanwezig is in ADM 12.1, maar dat deze versie End of Life is en daardoor geen update meer krijgt. Gebruikers van v 12.1 en ouder wordt met klem geadviseerd te migreren naar een versie waarvoor ondersteuning wordt geleverd.

CVE’s

CVE’s

CVE-2022-27511, CVE-2022-27512

Kans

Kans

Onderstaande tabel geeft in detail aan hoe wij tot de inschatting zijn gekomen hoe groot de kans is dat deze kwetsbaarheid in het doorsnee praktijkgeval kan worden misbruikt. De punten worden bij elkaar geteld.

medium
∑ = 24
Is de kwetsbaarheid aanwezig in de standaard configuratie/ installatie? Onduidelijk/Ja 3
Is er exploit-code beschikbaar? Nee (nog niet) 1
Wordt de kwetsbaarheid in de praktijk gebruikt? Nee (nog niet) 1
Zijn er technische details beschikbaar? Nee (nog niet) 1
Welke toegang is er nodig? LAN/directe omgeving 4
Vereiste credentials Geen 4
Hoe moeilijk is het om de kwetsbaarheid uit te buiten? Complex 1
Is er gebruikers interactie nodig? Geen handelingen 4
Wordt misbruik of een exploit verwacht? Ja binnenkort 3
Is er een oplossing beschikbaar? Korter dan twee maanden 2
Schade

Schade

Onderstaande tabel geeft in detail aan hoe wij tot de inschatting zijn gekomen voor de schade die bij een succesvolle aanval kan ontstaan. De hoogste inschaling bepaalt de totale kans op schade.

high
Denial of Service Ja, Client
medium
Uitvoeren van willekeurige code Nee
low
Rechten op afstand (remote [root-] shell) Ja, Remote root-shell
high
Verwerven lokale admin/root-rechten (privilege escalation) Ja
medium
Lekken van (gevoelige) informatie Nee
low
  Versie 1.00 16-06-2022 NCSC-2022-0417  
 
medium
high
Signed-PGP →  
16-06-2022
medium
high
NCSC-2022-0417 [1.00] Signed-PGP →

Vrijwaringsverklaring

Door gebruik van deze security advisory gaat u akkoord met de navolgende voorwaarden. Ondanks dat het NCSC de grootst mogelijke zorg heeft betracht bij de samenstelling van dit beveiligingsadvies, kan het NCSC niet instaan voor de volledigheid, juistheid of (voortdurende) actualiteit van dit beveiligingsadvies. De informatie in dit beveiligingsadvies is uitsluitend bedoeld als algemene informatie voor professionele partijen. Aan de informatie in dit beveiligingsadvies kunnen geen rechten worden ontleend.
Het NCSC en de Staat zijn niet aansprakelijk voor enige schade ten gevolge van het gebruik of de onmogelijkheid van het gebruik van dit beveiligingsadvies, waaronder begrepen schade ten gevolge van de onjuistheid of onvolledigheid van de informatie in dit beveiligingsadvies.
Op dit beveiligingsadvies is Nederlands recht van toepassing. Alle geschillen in verband met en/of voortvloeiend uit dit beveiligingsadvies zullen worden voorgelegd aan de exclusief bevoegde rechter te Den Haag. Deze rechtskeuze geldt tevens voor de voorzieningenrechter in kort geding.